Package org.eclipse.core.expressions

## Class AndExpression

- java.lang.Object
- - org.eclipse.core.expressions.Expression
  - - org.eclipse.core.expressions.CompositeExpression
    - - org.eclipse.core.expressions.AndExpression

    public class AndExpression
    extends CompositeExpression

Since:
  3.7

### Field Summary

### Fields inherited from class org.eclipse.core.expressions.CompositeExpression

`fExpressions`

### Fields inherited from class org.eclipse.core.expressions.Expression

`ATT_VALUE, FALSE, HASH_CODE_NOT_COMPUTED, HASH_FACTOR, TRUE`

### Constructor Summary

Constructors
`AndExpression()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object object)`
`EvaluationResult` `evaluate​(IEvaluationContext context)` Evaluates this expression.

### Methods inherited from class org.eclipse.core.expressions.CompositeExpression

`add, collectExpressionInfo, computeHashCode, evaluateAnd, evaluateOr, getChildren, toString`

### Methods inherited from class org.eclipse.core.expressions.Expression

`computeExpressionInfo, equals, equals, hashCode, hashCode, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AndExpression

    public AndExpression()

### Method Detail

#### equals

    public boolean equals​(Object object)

Overrides:
  `equals` in class `Object`

#### evaluate

    public EvaluationResult evaluate​(IEvaluationContext context)
                              throws CoreException

Description copied from class: `Expression`
Evaluates this expression.

Specified by:
  `evaluate` in class `Expression`
Parameters:
  `context` - an evaluation context providing information like variable, name spaces, etc. necessary to evaluate this expression
Returns:
  the result of the expression evaluation
Throws:
  `CoreException` - if the evaluation failed. The concrete reason is defined by the subclass implementing this method